summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkuzetsa <kuzetsa@gmail.com>2018-01-15 13:35:43 -0500
committerGöktürk Yüksek <gokturk@gentoo.org>2018-01-15 15:58:07 -0500
commitc35190af4e4cfc043514ff14d8e341c4a065e8b5 (patch)
treedd38f06b39b3ab44549ca5aca9ef71b6f1d2ed9c
parentdev-php/File_Iterator: version bump (diff)
downloadgentoo-c35190af4e4cfc043514ff14d8e341c4a065e8b5.tar.gz
gentoo-c35190af4e4cfc043514ff14d8e341c4a065e8b5.tar.bz2
gentoo-c35190af4e4cfc043514ff14d8e341c4a065e8b5.zip
sys-kernel/ck-sources: bugfix / revbump (4.9.76-r1)
(Alice Ferrazzi) Patch info: Fix link is not ready / does not come up on e1000e ICH8 network interfaces Bug: https://bugs.gentoo.org/641818 Package-Manager: Portage-2.3.13, Repoman-2.3.3
-rw-r--r--sys-kernel/ck-sources/Manifest3
-rw-r--r--sys-kernel/ck-sources/ck-sources-4.9.76-r1.ebuild65
2 files changed, 68 insertions, 0 deletions
diff --git a/sys-kernel/ck-sources/Manifest b/sys-kernel/ck-sources/Manifest
index aaea6a3eb1f..baff9f37282 100644
--- a/sys-kernel/ck-sources/Manifest
+++ b/sys-kernel/ck-sources/Manifest
@@ -60,6 +60,9 @@ DIST genpatches-4.9-77.extras.tar.xz 17364 BLAKE2B c666be38c1f3dc02cc87324a60359
DIST genpatches-4.9-78.base.tar.xz 1439100 BLAKE2B 83246625ab36915073ebfadc2f65fc8342c26a6cc63e4bb747d89d7effec7ffbdf732b306164365416c19d199e46d1f46d40325ece781150cfa71b3b1afa9d9a SHA512 51e9a9bab5ee92ebc5d3cd3028e2110b6e7a74b337d82c12dd8e0da06775cc0f986f1e6d49738dae5e1d9add374017b19c040ddd8298d281714a6544782001d6
DIST genpatches-4.9-78.experimental.tar.xz 106396 BLAKE2B 64171f3f73be138e3e3270d90cfec2b59312868ff67f81db06d45456307d5efa72aa0e81d0908fe66f32ccc53de8f09b330fdba1f8790a4cdc7132f3ceeba40a SHA512 6f2d60ef1055036ccfdf2caff3eff3c0abd5d6481ef44ee6ff369748546b88cd849ad46ec8b33503e756ff2782829221dfb3abe7ac1dc56f44742cc0c0a90489
DIST genpatches-4.9-78.extras.tar.xz 17344 BLAKE2B 846c60bc299c4617ce28b4e6b122d42f55d1ac0b73a692902453c0fb6149cda70fd5d62516a2c422cf6415f6c82ff2bb47e1abbb18bcf933132f37657498bdf8 SHA512 ad46777bee10b787100cfa5a66beff302832828db2e8cc144d9d544485e0f4e3ff66827d8ee7541d96b8b7499a508f14e62824c868033b986a641e3f414bfd3b
+DIST genpatches-4.9-79.base.tar.xz 1439664 BLAKE2B 2b4b32c798e2080e0e730c408cbae7fde31a89e59ae9291ade87d797da28173ca563fbf9306b3d4b575db11bc5eef26ab8590275802f6c925141c92a377f331b SHA512 359f6bb0e079d3ac905b682ebef7991e446c6fa0b6a88ef8422d950525a791c4055b529d154c16409cae484209a4d71283c93810f1afd01d2ac06fc20199067f
+DIST genpatches-4.9-79.experimental.tar.xz 106344 BLAKE2B e7e874e9a738f4cc1ad68c81a201e77fd8658db65788037bfbb8bb097f2f96434fc6d49b694ba607173457d3c865a212118eeb16c5188c26e31ef9c10043b20b SHA512 0d0b5da7c66a0bbf997940f91c87b7d033b8a88621d3448dfe39c7c2cf6c8483d6178b1cff499463f803e53391eb53e8dd3ee3f3008b9509e3d8f3643ab400b4
+DIST genpatches-4.9-79.extras.tar.xz 17352 BLAKE2B c194973419a011d035ccd6c5d98a90d04c2c2242f18dc950536a7dc9f505de7416047fb0893787f17023951aea59f21062d3f5a3a0d2ad3eab5127dbfb46df9c SHA512 27ff88dae9a66784d842410b0e3f02c66d748dab63fe391701624d4ca398c824819c7a9fa2dd474e62fd29bf7d8576ae4162c53b3127bccbe30a1657a2760ad2
DIST linux-4.14.tar.xz 100770500 BLAKE2B 85dc4aa953fe65e273a24473d8de98e4f204f97c43be9fc87cf5be01f796f94cfde5c8f9c84619751f1cac51f83ce0b4681fb19c5f2965a72d4a94fe5577846a SHA512 77e43a02d766c3d73b7e25c4aafb2e931d6b16e870510c22cef0cdb05c3acb7952b8908ebad12b10ef982c6efbe286364b1544586e715cf38390e483927904d8
DIST linux-4.9.tar.xz 93192404 BLAKE2B 83ae310b17d47f1f18d6d28537c31e10f3e60458c5954c4611158ca99e71cc0da2e051272eabf27d5887df4a7cb4a5dd66ff993077c11d2221e92d300a0b48d7 SHA512 bf67ff812cc3cb7e5059e82cc5db0d9a7c5637f7ed9a42e4730c715bf7047c81ed3a571225f92a33ef0b6d65f35595bc32d773356646df2627da55e9bc7f1f1a
DIST patch-4.14-ck1.xz 84904 BLAKE2B 6f9510643382d44ab79cbf8c4e8210ae7d30c37c78a9eaacde1296532751b5c881b8cc649266c29d73c1f663e60ca92856f6bf589fc449ff5cb781dc8b5ad8f1 SHA512 5e81d6a8319d030572ad5b6379bc43f2f5f98b6e4f050b1285bd6004516d1bf2e8eee8d3425a09317e15309cf030da2534417265b474aaab80e72e22c04741a2
diff --git a/sys-kernel/ck-sources/ck-sources-4.9.76-r1.ebuild b/sys-kernel/ck-sources/ck-sources-4.9.76-r1.ebuild
new file mode 100644
index 00000000000..29a0f43e22a
--- /dev/null
+++ b/sys-kernel/ck-sources/ck-sources-4.9.76-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~x86"
+
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches/
+ http://kernel.kolivas.org/"
+
+K_WANT_GENPATCHES="base extras experimental"
+K_EXP_GENPATCHES_PULL="1"
+K_EXP_GENPATCHES_NOUSE="1"
+K_GENPATCHES_VER="79"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+
+PYTHON_COMPAT=( python2_7 )
+inherit python-any-r1 kernel-2
+detect_version
+detect_arch
+
+DEPEND="deblob? ( ${PYTHON_DEPS} )"
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+
+DESCRIPTION="Con Kolivas' high performance patchset and Gentoo's genpatches for Linux ${K_BRANCH_ID}"
+
+CK_VERSION="1"
+
+CK_FILE="patch-${K_BRANCH_ID}-ck${CK_VERSION}.xz"
+
+CK_BASE_URL="http://ck.kolivas.org/patches/4.0"
+CK_LVER_URL="${CK_BASE_URL}/${K_BRANCH_ID}/${K_BRANCH_ID}-ck${CK_VERSION}"
+CK_URI="${CK_LVER_URL}/${CK_FILE}"
+
+# solves bug #606866 (Fix build for CONFIG_FREEZER disabled.x)
+FRZR_HASH="7de569950716147ed436b27936628ee3ab5b45cc"
+FRZR_FILE="${PN}-4.9-freezer-fix.patch"
+FRZR_URI="https://github.com/ckolivas/linux/commit/${FRZR_HASH}.patch -> ${FRZR_FILE}"
+
+SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_URI} ${FRZR_URI}"
+
+UNIPATCH_LIST="${DISTDIR}/${CK_FILE} ${DISTDIR}/${FRZR_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+# ck-patches already includes BFQ (similar version as genpatches "experimental" USE flag)
+# what's not included is: "additional cpu optimizations" (5010) from genpatches experimental
+
+K_EXP_GENPATCHES_LIST="5010_*.patch*"
+
+pkg_setup() {
+ use deblob && python-any-r1_pkg_setup
+ kernel-2_pkg_setup
+}
+
+src_prepare() {
+
+#-- Comment out CK's EXTRAVERSION in Makefile ---------------------------------
+
+ # linux-info eclass cannot handle recursively expanded variables in Makefile #490328
+ sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile" || die
+
+ kernel-2_src_prepare
+}